# Uses of Interface
org.apache.commons.fileupload2.core.ProgressListener

Packages that use ProgressListener
Package
Description
org.apache.commons.fileupload2.core
A component for handling HTML file uploads as specified by RFC 1867.

## Uses of ProgressListener in org.apache.commons.fileupload2.core

Fields in org.apache.commons.fileupload2.core declared as ProgressListener
Modifier and Type
Field
Description
`static final ProgressListener`
ProgressListener.`NOP`
Nop implementation.
Methods in org.apache.commons.fileupload2.core that return ProgressListener
Modifier and Type
Method
Description
`ProgressListener`
AbstractFileUpload.`getProgressListener()`
Gets the progress listener.
Methods in org.apache.commons.fileupload2.core with parameters of type ProgressListener
Modifier and Type
Method
Description
`void`
AbstractFileUpload.`setProgressListener(ProgressListener progressListener)`
Sets the progress listener.
Constructors in org.apache.commons.fileupload2.core with parameters of type ProgressListener
Modifier
Constructor
Description
``
`ProgressNotifier(ProgressListener progressListener, long contentLength)`
Creates a new instance with the given listener and content length.